curl --request PATCH \
--url https://api.getcargo.io/v1/context/repository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"kind": "<string>"
}
}
'{
"repository": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"source": {
"kind": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Update the context repository configuration for the current workspace.
curl --request PATCH \
--url https://api.getcargo.io/v1/context/repository \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": {
"kind": "<string>"
}
}
'{
"repository": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"source": {
"kind": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema for updating a context repository.
Repository source configuration. Either { kind: "managed" } or { kind: "custom", connectorUuid: "..." }.
Show child attributes
Successful response
The updated context repository configuration.
Show child attributes
Was this page helpful?